profile
viewpoint

nesdis/djongo 1138

Django and MongoDB database connector

rudolfce/scrapper 7

Scrapper API for twitter user data using Flask. Study purposes.

rudolfce/ocr_calculator 1

OCR calculator using pytesseract

rudolfce/personal_configs 1

Configurações pessoais

rudolfce/XECryption-crack 1

Crack to XECryption encoded messages

alessandro11/Blog-API-with-Django-Rest-Framework 0

Blog API with Django Rest Framework

alessandro11/celero-devops 0

Desafio Celero - DevOps

rudolfce/alg2-TP1 0

Trabalho Prático 1 de algoritmos 2

rudolfce/alg2-TP2 0

Segundo trabalho prático de Algoritmos 2

issue openednesdis/djongo

Problems using Django 3.x in initial migration

One line description of the issue

Problems using Django 3.x in initial migration

When using Django major version 3 I get migration errors (makmigration works but migrate fails) on a fresh mongo db installation (docker-compose clearing volume data):


Operations to perform:
  Apply all migrations: admin, auth, authtoken, contenttypes, core, sessions
Running migrations:
[DEBUG-DJANGO] 2021-01-14 15:13:58,219 django.db.backends.schema  schema in              execute() line 133: CREATE TABLE "core_user" ("id" int NOT NULL PRIMARY KEY AUTOINCREMENT, "password" string NOT NULL, "last_login" date NULL, "is_superuser" bool NOT NULL, "keycloak_id" string NOT NULL UNIQUE, "email" string NOT NULL UNIQUE, "is_active" bool NOT NULL, "is_staff" bool NOT NULL); (params None)
[DEBUG-DJANGO] 2021-01-14 15:13:58,223 django.db.backends  utils in            debug_sql() line 130: (0.003) QUERY = 'CREATE TABLE "core_user" ("id" int NOT NULL PRIMARY KEY AUTOINCREMENT, "password" string NOT NULL, "last_login" date NULL, "is_superuser" bool NOT NULL, "keycloak_id" string NOT NULL UNIQUE, "email" string NOT NULL UNIQUE, "is_active" bool NOT NULL, "is_staff" bool NOT NULL)' - PARAMS = (); args=None
  Applying core.0001_initial...Traceback (most recent call last):
  File "/home/christian/.venvs/backend-ZIt4lE0c/lib/python3.7/site-packages/djongo/sql2mongo/query.py", line 856, in parse
    return handler(self, statement)
  File "/home/christian/.venvs/backend-ZIt4lE0c/lib/python3.7/site-packages/djongo/sql2mongo/query.py", line 897, in _create
    query = CreateQuery(self.db, self.connection_properties, sm, self._params)
  File "/home/christian/.venvs/backend-ZIt4lE0c/lib/python3.7/site-packages/djongo/sql2mongo/query.py", line 645, in __init__
    super().__init__(*args)
  File "/home/christian/.venvs/backend-ZIt4lE0c/lib/python3.7/site-packages/djongo/sql2mongo/query.py", line 84, in __init__
    super().__init__(*args)
  File "/home/christian/.venvs/backend-ZIt4lE0c/lib/python3.7/site-packages/djongo/sql2mongo/query.py", line 62, in __init__
    self.parse()
  File "/home/christian/.venvs/backend-ZIt4lE0c/lib/python3.7/site-packages/djongo/sql2mongo/query.py", line 729, in parse
    self._create_table(statement)
  File "/home/christian/.venvs/backend-ZIt4lE0c/lib/python3.7/site-packages/djongo/sql2mongo/query.py", line 657, in _create_table
    self.db.create_collection(table)
  File "/home/christian/.venvs/backend-ZIt4lE0c/lib/python3.7/site-packages/pymongo/database.py", line 365, in create_collection
    raise CollectionInvalid("collection %s already exists" % name)
pymongo.errors.CollectionInvalid: collection core_user already exists

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/christian/.venvs/backend-ZIt4lE0c/lib/python3.7/site-packages/djongo/cursor.py", line 56, in execute
    params)
  File "/home/christian/.venvs/backend-ZIt4lE0c/lib/python3.7/site-packages/djongo/sql2mongo/query.py", line 783, in __init__
    self._query = self.parse()
  File "/home/christian/.venvs/backend-ZIt4lE0c/lib/python3.7/site-packages/djongo/sql2mongo/query.py", line 884, in parse
    raise exe from e
djongo.exceptions.SQLDecodeError:

	Keyword: None
	Sub SQL: None
	FAILED SQL: CREATE TABLE "core_user" ("id" int NOT NULL PRIMARY KEY AUTOINCREMENT, "password" string NOT NULL, "last_login" date NULL, "is_superuser" bool NOT NULL, "keycloak_id" string NOT NULL UNIQUE, "email" string NOT NULL UNIQUE, "is_active" bool NOT NULL, "is_staff" bool NOT NULL)
	Params: None
	Version: 1.3.3

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/christian/.venvs/backend-ZIt4lE0c/lib/python3.7/site-packages/django/db/backends/utils.py", line 84, in _execute
    return self.cursor.execute(sql)
  File "/home/christian/.venvs/backend-ZIt4lE0c/lib/python3.7/site-packages/djongo/cursor.py", line 59, in execute
    raise db_exe from e
djongo.database.DatabaseError

The above exception was the direct cause of the following exception:

Once the initial migrations are successfully done, I can upgrade to a django 3 installation with a pipenv that looks like that and everything works fine:


[[source]]
name = "pypi"
url = "https://pypi.org/simple"
verify_ssl = true

[packages]
django = "==3.0.5"
django-cors-headers = "==3.4.0"
djangorestframework = "*"
drf-yasg = {extras = ["validation"], version = "*"}
djongo = "*"
jsonfield = "*"
python-keycloak = "*"
numpy = "*"
qrcode = "*"
scipy = "*"
audiofile = "*"
python-magic = "*"
pymongo = "==3.7.2"
names = "*"
uwsgi = "*"
flake8 = "*"
pillow = "*"
requests-toolbelt = "*"
sqlparse = "==0.2.4"

[requires]
python_version = "3.7"

My question: How to set up a django virtual environment that uses Django 3.x for initial migration?

created time in 6 hours

push eventnesdis/djongo

nesdis

commit sha 49a562e36b983558d6c7fea8a7a4a026ce05478b

New support page

view details

push time in 2 days

push eventnesdis/djongo

nesdis

commit sha 792a21cf7a2e036091e50380bd02c9cb9d6c1541

New support page

view details

push time in 2 days

push eventnesdis/djongo

nesdis

commit sha 45eb0f9a9a99b47679c03abcc5d33335d5e24c01

New support page

view details

push time in 2 days

push eventnesdis/djongo

nesdis

commit sha 354828c997544d62e2124cabd8b3eee745d35a43

New support page

view details

push time in 2 days

startedzhao-tong/GAug

started time in 3 days

Pull request review commentcelerofinancas/celero-flow-api-doc

Bump redcarpet from 3.5.0 to 3.5.1

 gem 'middleman-syntax', '~> 3.2' gem 'middleman-autoprefixer', '~> 2.7' gem 'middleman-sprockets', '~> 4.1' gem 'rouge', '~> 3.20'-gem 'redcarpet', '~> 3.5.0'+gem 'redcarpet', '~> 3.5.1' gem 'nokogiri', '~> 1.10.8'

Caraca, seria perfeito pedir isso para o bot e ele atender.

dependabot[bot]

comment created time in 5 days

Pull request review commentcelerofinancas/celero-flow-api-doc

Bump redcarpet from 3.5.0 to 3.5.1

 gem 'middleman-syntax', '~> 3.2' gem 'middleman-autoprefixer', '~> 2.7' gem 'middleman-sprockets', '~> 4.1' gem 'rouge', '~> 3.20'-gem 'redcarpet', '~> 3.5.0'+gem 'redcarpet', '~> 3.5.1' gem 'nokogiri', '~> 1.10.8'

Consegue atualizar também o nokogiri? image

dependabot[bot]

comment created time in 5 days

issue commentnesdis/djongo

Support non document Arrays

That's a good request. There has already been a similar request for simple dict field as well. Will tag this as a new feature request that can be used to extend the overall feature capabilities. Thanks On 09-Jan-2018 1:27 PM, "Samuel Bishop" ***@***.***> wrote: Simple flat arrays of values stored in an Array value are currently unsupported. Ideally, in addition to the existing support for Document Arrays, it would be good to have 'simple' array support. e.g.: Support for https://docs.mongodb.com/manual/tutorial/query-arrays/ in addition to the current support for https://docs.mongodb.com/manual/tutorial/query-array- of-documents/ I can work around this in most circumstances by using the manager query method and properties, but its a hinderance to interoperability with existing MongoDB databases, and could arguably be better. Especially in light of the built in support Django has for PostgreSQL array fields. https://docs.djangoproject.com/en/2.0/ref/contrib/ postgres/fields/#arrayfield — You are receiving this because you are subscribed to this thread. Reply to this email directly, view it on GitHub <#44>, or mute the thread https://github.com/notifications/unsubscribe-auth/AQO4BChrPXgrNXfYocv-WY63AbDLBJcuks5tIxvbgaJpZM4RXcPQ .

why this still in TODO?

techdragon

comment created time in 7 days

PR opened celerofinancas/celero-flow-api-doc

Bump redcarpet from 3.5.0 to 3.5.1

Bumps redcarpet from 3.5.0 to 3.5.1. <details> <summary>Release notes</summary> <p><em>Sourced from <a href="https://github.com/vmg/redcarpet/releases">redcarpet's releases</a>.</em></p> <blockquote> <h2>Redcarpet v3.5.1</h2> <p>Fix a security vulnerability using <code>:quote</code> in combination with the <code>:escape_html</code> option.</p> <p>Reported by <em>Johan Smits</em>.</p> </blockquote> </details> <details> <summary>Changelog</summary> <p><em>Sourced from <a href="https://github.com/vmg/redcarpet/blob/master/CHANGELOG.md">redcarpet's changelog</a>.</em></p> <blockquote> <h2>Version 3.5.1 (Security)</h2> <ul> <li> <p>Fix a security vulnerability using <code>:quote</code> in combination with the <code>:escape_html</code> option.</p> <p>Reported by <em>Johan Smits</em>.</p> </li> </ul> </blockquote> </details> <details> <summary>Commits</summary> <ul> <li><a href="https://github.com/vmg/redcarpet/commit/a699c82292b17c8e6a62e1914d5eccc252272793"><code>a699c82</code></a> Fix a security issue using <code>:quote</code> with <code>:escape_html</code></li> <li>See full diff in <a href="https://github.com/vmg/redcarpet/compare/v3.5.0...v3.5.1">compare view</a></li> </ul> </details> <br />

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


<details> <summary>Dependabot commands and options</summary> <br />

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot use these labels will set the current labels as the default for future PRs for this repo and language
  • @dependabot use these reviewers will set the current reviewers as the default for future PRs for this repo and language
  • @dependabot use these assignees will set the current assignees as the default for future PRs for this repo and language
  • @dependabot use this milestone will set the current milestone as the default for future PRs for this repo and language

You can disable automated security fix PRs for this repo from the Security Alerts page.

</details>

+3 -3

0 comment

2 changed files

pr created time in 7 days

issue commentnesdis/djongo

FAILED SQL: ALTER TABLE

fixed in this PR #474

aliakbarhamzeh1378

comment created time in 9 days

pull request commentnesdis/djongo

add all sqlparse.tokens.Name.Builtin types

please merge this PR and release it. in my case, I need array built-in.

lsaavedr

comment created time in 9 days

push eventnesdis/djongo

nesdis

commit sha ac40c68bceb5735030960eb4187807473c5b217f

Change in Tag line

view details

push time in 10 days

issue commentnesdis/djongo

Distinct: NotSupportedError

I need help! Same issue here

elaimaz

comment created time in 12 days

issue commentnesdis/djongo

djongo' isn't an available database backend

Error upon attempting to python3 manage.py runserver

Watching for file changes with StatReloader
Performing system checks...

Exception in thread django-main-thread:
Traceback (most recent call last):
  File "/home/me/Desktop/retestdjongoerror/ztest/lib/python3.6/site-packages/django/db/utils.py", line 111, in load_backend
    return import_module('%s.base' % backend_name)
  File "/usr/lib/python3.6/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 941, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 953, in _find_and_load_unlocked
ModuleNotFoundError: No module named 'djongo'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/lib/python3.6/threading.py", line 916, in _bootstrap_inner
    self.run()
  File "/usr/lib/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/home/me/Desktop/retestdjongoerror/ztest/lib/python3.6/site-packages/django/utils/autoreload.py", line 53, in wrapper
    fn(*args, **kwargs)
  File "/home/me/Desktop/retestdjongoerror/ztest/lib/python3.6/site-packages/django/core/management/commands/runserver.py", line 117, in inner_run
    self.check(display_num_errors=True)
  File "/home/me/Desktop/retestdjongoerror/ztest/lib/python3.6/site-packages/django/core/management/base.py", line 395, in check
    include_deployment_checks=include_deployment_checks,
  File "/home/me/Desktop/retestdjongoerror/ztest/lib/python3.6/site-packages/django/core/management/base.py", line 382, in _run_checks
    return checks.run_checks(**kwargs)
  File "/home/me/Desktop/retestdjongoerror/ztest/lib/python3.6/site-packages/django/core/checks/registry.py", line 72, in run_checks
    new_errors = check(app_configs=app_configs)
  File "/home/me/Desktop/testdjongoerror/ztest/lib/python3.6/site-packages/django/core/checks/model_checks.py", line 34, in check_all_models
    errors.extend(model.check(**kwargs))
  File "/home/me/Desktop/retestdjongoerror/ztest/lib/python3.6/site-packages/django/db/models/base.py", line 1255, in check
    *cls._check_long_column_names(),
  File "/home/me/Desktop/retestdjongoerror/ztest/lib/python3.6/site-packages/django/db/models/base.py", line 1774, in _check_long_column_names
    connection = connections[db]
  File "/home/me/Desktop/retestdjongoerror/ztest/lib/python3.6/site-packages/django/db/utils.py", line 207, in __getitem__
    backend = load_backend(db['ENGINE'])
  File "/home/me/Desktop/retestdjongoerror/ztest/lib/python3.6/site-packages/django/db/utils.py", line 126, in load_backend
    ) from e_user
django.core.exceptions.ImproperlyConfigured: 'djongo' isn't an available database backend.
Try using 'django.db.backends.XXX', where XXX is one of:
    'mysql', 'oracle', 'postgresql', 'sqlite3'

This is the DB settings from when the errors started. myapp/settings.py

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.sqlite3',
        'NAME': os.path.join(BASE_DIR, 'db.sqlite3'),
    },
    'analytics': {
          'ENGINE': 'djongo',
          'NAME': 'demodb1',
          'CLIENT': {
                'host': 'mongodb://mongodb:27017',
                'username': 'user1',
                'password': 'pass1',
                'authSource': 'admin1',
                'authMechanism': 'SCRAM-SHA-1',
                }
        },
}

pip freeze:

asgiref==3.3.1
dataclasses==0.8
Django==2.2.8
djongo==1.3.3
pymongo==3.11.2
pytz==2020.5
sqlparse==0.2.4
mstgnz

comment created time in 12 days

issue commentnesdis/djongo

djongo' isn't an available database backend

can you show any logs of your errors

mstgnz

comment created time in 12 days

issue commentnesdis/djongo

djongo' isn't an available database backend

Would you mind sharing your docker setup? I am attempting to Dockerize a small django app with mongodb/djongo and running into issues...

On Tue, Jan 5, 2021 at 7:10 AM Leo Lafon notifications@github.com wrote:

The same issue arose recently for me when building a docker image inside a deployment pipeline. We fixed it by switching from:

FROM python:3.6

to

FROM python:3.6.8

in the Dockerfile.

— You are receiving this because you are subscribed to this thread. Reply to this email directly, view it on GitHub https://github.com/nesdis/djongo/issues/171#issuecomment-754695029, or unsubscribe https://github.com/notifications/unsubscribe-auth/ABPP5AUDMSAPGD3EJFNRMODSYMTURANCNFSM4FP2623A .

mstgnz

comment created time in 13 days

issue commentnesdis/djongo

djongo' isn't an available database backend

I have the same issue. I'm using virtualenv on ubuntu. After lots of search, this was my last bus stop: upgrading django==2.2.8 --> django==3.1.5 I have these:

Django==3.1.5
djongo==1.3.3
Python 3.6.9

Worked!

mstgnz

comment created time in 13 days

issue commentnesdis/djongo

djongo' isn't an available database backend

The same issue arose recently for me when building a docker image inside a deployment pipeline. We fixed it by switching from:

FROM python:3.6

to

FROM python:3.6.8

in the Dockerfile.

mstgnz

comment created time in 13 days

issue openednesdis/djongo

objects.all only returing one record

Model.objects.all() returns only one record

Using django 2.0.6, pymongo 3.7.2, djongo 1.2.29, connects to database correctly, and returns all rows when using the model below.

class EventModel(models.Model): _id = models.ObjectIdField() event_id = models.IntegerField(primary_key=True)

using django 3.0.5, pymongo 3.11.2 and djongo 1.3.3, the model

  1. gives an error on multiple primary keys and
  2. when removing the primary_key=True, returns only one record on EventModel.objects.all()

created time in 14 days

issue openednesdis/djongo

Django rest framework social oauth2 causing unexpected error with Djongo for mongoDB conversion of django app

I am using Django rest framework social oauth2 for authentication in one Django app. For development purposes, I have used this package with Sqlite3 (SQL database) and it works perfectly. However, now I want to migrate this Django app to MongoDB (NoSQL database) via using Djongo. After implementing all the required changes it is showing this bizarre error. I have seen everywhere couldn't find a relevant solution

After adding this command:

**python manage.py migrate**

Operations to perform:
Apply all migrations: admin, auth, contenttypes, oauth2_provider, sessions, social_django

Running migrations:

Not implemented alter command for SQL ALTER TABLE "oauth2_provider_accesstoken" ADD COLUMN "source_refresh_token_id" long NULL UNIQUE

Applying oauth2_provider.0001_initial...Traceback (most recent call last):
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/djongo/cursor.py", line 51, in execute
self.result = Query(
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/djongo/sql2mongo/query.py", line 783, in init
self._query = self.parse()
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/djongo/sql2mongo/query.py", line 875, in parse
raise e
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/djongo/sql2mongo/query.py", line 856, in parse
return handler(self, statement)
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/djongo/sql2mongo/query.py", line 888, in _alter
query = AlterQuery(self.db, self.connection_properties, sm, self._params)
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/djongo/sql2mongo/query.py", line 425, in init
super().init(*args)
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/djongo/sql2mongo/query.py", line 84, in init
super().init(*args)
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/djongo/sql2mongo/query.py", line 62, in init
self.parse()
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/djongo/sql2mongo/query.py", line 435, in parse
self._add(statement)
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/djongo/sql2mongo/query.py", line 598, in _add
raise SQLDecodeError(err_key=tok.value,
djongo.exceptions.SQLDecodeError:

Keyword: long
Sub SQL: ALTER TABLE "oauth2_provider_accesstoken" ADD COLUMN "source_refresh_token_id" long NULL UNIQUE
FAILED SQL: ('ALTER TABLE "oauth2_provider_accesstoken" ADD COLUMN "source_refresh_token_id" long NULL UNIQUE',)
Params: ([],)
Version: 1.3.3

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/django/db/backends/utils.py", line 86, in _execute
return self.cursor.execute(sql, params)
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/djongo/cursor.py", line 59, in execute
raise db_exe from e
djongo.database.DatabaseError

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "manage.py", line 22, in
main()
File "manage.py", line 18, in main
execute_from_command_line(sys.argv)
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/django/core/management/init.py", line 401, in execute_from_command_line
utility.execute()
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/django/core/management/init.py", line 395, in execute
self.fetch_command(subcommand).run_from_argv(self.argv)
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/django/core/management/base.py", line 328, in run_from_argv
self.execute(*args, **cmd_options)
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/django/core/management/base.py", line 369, in execute
output = self.handle(*args, **options)
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/django/core/management/base.py", line 83, in wrapped
res = handle_func(*args, **kwargs)
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/django/core/management/commands/migrate.py", line 231, in handle
post_migrate_state = executor.migrate(
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/django/db/migrations/executor.py", line 117, in migrate
state = self._migrate_all_forwards(state, plan, full_plan, fake=fake, fake_initial=fake_initial)
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/django/db/migrations/executor.py", line 147, in _migrate_all_forwards
state = self.apply_migration(state, migration, fake=fake, fake_initial=fake_initial)
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/django/db/migrations/executor.py", line 245, in apply_migration
state = migration.apply(state, schema_editor)
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/django/db/migrations/migration.py", line 124, in apply
operation.database_forwards(self.app_label, schema_editor, old_state, project_state)
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/django/db/migrations/operations/fields.py", line 110, in database_forwards
schema_editor.add_field(
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/django/db/backends/base/schema.py", line 480, in add_field
self.execute(sql, params)
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/django/db/backends/base/schema.py", line 142, in execute
cursor.execute(sql, params)
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/django/db/backends/utils.py", line 100, in execute
return super().execute(sql, params)
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/django/db/backends/utils.py", line 68, in execute
return self._execute_with_wrappers(sql, params, many=False, executor=self._execute)
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/django/db/backends/utils.py", line 77, in _execute_with_wrappers
return executor(sql, params, many, context)
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/django/db/backends/utils.py", line 86, in _execute
return self.cursor.execute(sql, params)
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/django/db/utils.py", line 90, in exit
raise dj_exc_value.with_traceback(traceback) from exc_value
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/django/db/backends/utils.py", line 86, in _execute
return self.cursor.execute(sql, params)
File "/home/anakin/virtual_envs/js_backend/lib/python3.8/site-packages/djongo/cursor.py", line 59, in execute
raise db_exe from e
django.db.utils.DatabaseError

Thanks for your consideration. Really appreciate it.

created time in 17 days

PR opened nesdis/djongo

Fix foreign key add query: int, long

the type int and long was not handled

+1 -1

0 comment

1 changed file

pr created time in 19 days

issue commentnesdis/djongo

Problem with oauth2_provider

@khikmatullaev Unfortunately, no.

NOBLEGG

comment created time in 20 days

issue commentnesdis/djongo

Problem with oauth2_provider

@NOBLEGG I have faced the same problem when I wanted to use oauth2_provider with mongodb (djongo). Could you find a solution?

NOBLEGG

comment created time in 20 days

PR opened nesdis/djongo

Add support for Django 3.1
+3 -3

0 comment

2 changed files

pr created time in 21 days

startedkokke/tiny-regex-c

started time in 21 days

issue commentnesdis/djongo

djongo' isn't an available database backend

Hi guys i had same error in

 django==3.0.7    
 djongo==1.3.2

then i uninstall bson & pymongo and reinstall pymongo and finally fixed!

 pip uninstall bson
 pip uninstall pymongo
 pip install -U pymongo 

try to change the version of djongo 1.3.2 to 1.3.3, this solved the problem in my case.

mstgnz

comment created time in a month

created repositorymrlynn/audio-to-video

Convert Audio to Video with Audiogram

created time in a month

issue commentnesdis/djongo

does support aws dynamodb connection?

Hello how are you, someone knows if you can use the Djongo library to connect to the AWS DynamoDB database.

I know that the Pynamodb library can be used but it would not be connected to the django ORM

obedmacallums

comment created time in a month

more